package de.emesit.lecture.file;

import java.nio.file.DirectoryStream;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.Iterator;

public class Exp04_DirectoryStream {
	
	public Exp04_DirectoryStream() throws Exception {
		
		Path dir = Paths.get( "E:/temp/FS7/weltraum_bilder" );
		
		DirectoryStream<Path> stream = dir.newDirectoryStream( "*.jpg");
		
		Iterator<Path> it = stream.iterator();
		while( it.hasNext() ){
			System.out.println( it.next() );
		}
		stream.close();
		
	}

	
	public static void main(String[] args){
		try {
			new Exp04_DirectoryStream();
		} 
		catch (Exception e) {
			e.printStackTrace();
		}
	}
}
