package de.emesit.lecture.file;

import java.nio.ByteBuffer;
import java.nio.file.FileSystem;
import java.nio.file.FileSystems;
import java.nio.file.Path;
import java.nio.file.attribute.UserDefinedFileAttributeView;

public class Exp08_UserDefinedWrite{
	
	public Exp08_UserDefinedWrite()throws Exception{
	    	
		FileSystem fs = FileSystems.getDefault();
    	
    	Path path = fs.getPath( "E:/temp/FS7/userDef.txt" );
    	
    	UserDefinedFileAttributeView view = path.getFileAttributeView( UserDefinedFileAttributeView.class );
 	
    	ByteBuffer bb = ByteBuffer.allocate( 1024 );
    	bb.put( "User defined content".getBytes() );
    	bb.flip();
    	
    	view.write( "test", bb );
    	System.out.println( "write user defined content");  	
	}

	public static void main(String[] args){
		try {
			new Exp08_UserDefinedWrite();
		} 
		catch (Exception e) {
			e.printStackTrace();
		}
	}
}
