package de.emesit.lecture.file;

import java.nio.ByteBuffer;
import java.nio.file.FileSystem;
import java.nio.file.FileSystems;
import java.nio.file.Path;
import java.nio.file.attribute.UserDefinedFileAttributeView;

public class Exp09_UserDefinedRead{
	
	public Exp09_UserDefinedRead()throws Exception{
	    	
		FileSystem fs = FileSystems.getDefault();
    	
    	Path path = fs.getPath( "E:/temp/FS7/userDef.txt" );
    	
    	UserDefinedFileAttributeView view = path.getFileAttributeView( UserDefinedFileAttributeView.class );
    		
    	int len = view.size( "test" );
    	ByteBuffer bb = ByteBuffer.allocate( len );
    	
    	view.read( "test", bb );
    	System.out.println( "content:" + new String( bb.array() ));
	}
	
	public static void main(String[] args){
		try {
			new Exp09_UserDefinedRead();
		} 
		catch (Exception e) {
			e.printStackTrace();
		}
	}
}
